aboutsummaryrefslogtreecommitdiffstats
path: root/tools/search_wolframalpha.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/search_wolframalpha.sh')
-rwxr-xr-xtools/search_wolframalpha.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/tools/search_wolframalpha.sh b/tools/search_wolframalpha.sh
new file mode 100755
index 0000000..a2dfdc7
--- /dev/null
+++ b/tools/search_wolframalpha.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Get an answer to a question using Wolfram Alpha. Input should the query in English.
+# Use it to answer user questions that require computation, detailed facts, data analysis, or complex queries.
+# This ensures accurate and precise answers.
+
+# @option --query! The query to search for.
+# @env WOLFRAM_API_ID!
+
+main() {
+ local curl_args=(
+ -sSf -G
+ --data-urlencode "output=JSON"
+ --data-urlencode "format=plaintext"
+ --data-urlencode "input=$argc_query"
+ --data-urlencode "appid=$WOLFRAM_API_ID"
+ "https://api.wolframalpha.com/v2/query"
+ )
+ curl "${curl_args[@]}" | \
+ jq -r '.queryresult.pods[] | select(.subpods[0].plaintext != "")'
+}
+
+eval "$(argc --argc-eval "$0" "$@")"